← OBPv7.0.0 Create Product PUT /obp/v7.0.0/banks/BANK_ID/products OBPv2.2.0-createProduct Roles: CanCreateProduct(per bank),CanCreateProductAtAnyBank Product Create or Update Product for the Bank. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON response body fields (12) bank_id gh.29.ukcategory code 125description Description of the object. Maximum length is 2000. It can be any characters here.details family id d8839721-ad8f-45dd-9f78-2080414b93f9license meta more_info_url www.example.com/abcname ACCOUNT_MANAGEMENT_FEEsuper_family Example request body { "bank_id": "gh.29.uk", "code": "prod1", "name": "product name", "category": "category", "family": "family", "super_family": "super family", "more_info_url": "www.example.com/prod1/more-info.html", "details": "Details", "description": "Description", "meta": { "license": { "id": "ODbL-1.0", "name": "Open Database License" } } } Example success response { "bank_id": "gh.29.uk", "code": "prod1", "name": "product name", "category": "category", "family": "family", "super_family": "super family", "more_info_url": "www.example.com/prod1/more-info.html", "details": "Details", "description": "Description", "meta": { "license": { "id": "ODbL-1.0", "name": "Open Database License" } } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.